%define base_name	xml-light
%define name		ocaml-%{base_name}
%define version		2.2
%define release		%mkrel 11

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Minimal XML parser & printer for OCaml
URL:		http://tech.motion-twin.com/xmllight.html
Source: 	http://tech.motion-twin.com/zip/%{base_name}.tar.bz2
Patch:      %{name}-2.2-fix-build.patch
License:	LGPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Xml-Light is a minimal XML parser & printer for OCaml. 
It provide functions to parse an XML document into an OCaml data structure, 
work with it, and print it back to an XML document. 
It support also DTD parsing and checking, and is entirely written in OCaml, 
hence it does not require additional C library.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{base_name}
%patch -p 1
chmod 644 README *.mli
perl -pi -e 's/\015$//' README

%build
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{ocaml_sitelib}/xml-light
make install INSTALLDIR=%{buildroot}%{ocaml_sitelib}/xml-light

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%dir %{ocaml_sitelib}/xml-light
%{ocaml_sitelib}/xml-light/*.cmi

%files devel
%defattr(-,root,root)
%{ocaml_sitelib}/xml-light/*
%exclude %{ocaml_sitelib}/xml-light/*.cmi


%changelog
* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-11mdv2008.1
+ Revision: 178371
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2-10mdv2008.1
+ Revision: 171006
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-9mdv2008.0
+ Revision: 77552
- don't ship documentation twice

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-8mdv2008.0
+ Revision: 77523
- drop macro definition, now in rpm-mandriva-setup
  ship .cmi file in non-devel subpackage


* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-7mdv2007.0
+ Revision: 121014
- oops, forgotten patch
- use new ocaml macro
- fix build
  install under site-lib/xml-light
- Import ocaml-xml-light

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-6mdv2007.0
- Rebuild

* Thu Apr 27 2006 Pixel <pixel@mandriva.com> 2.2-5mdk
- rebuild for new ocaml

* Mon Jan 23 2006 Pixel <pixel@mandriva.com> 2.2-4mdk
- rebuild for new ocaml

* Mon Nov 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-3mdk
- %%mkrel

* Sun Jun 05 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-2mdk 
- rebuild for later ocaml
- drop macros merged into rpm

* Fri Apr 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-1mdk 
- contributed by Julien Narboux (Julien.Narboux@inria.fr)

